Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class TRANSACTION_MODEHelper

    java.lang.Object
      |
      +--org.omg.CORBA.TRANSACTION_MODEHelper

public class TRANSACTION_MODEHelper
extends java.lang.Object

Helper class for : TRANSACTION_MODE

Author:
  OpenORB Compiler

Constructor Summary
`TRANSACTION_MODEHelper()`

Method Summary
`static TRANSACTION_MODE` | `extract(Any a)` Extract TRANSACTION_MODE from an any
`static java.lang.String` | `id()` Return the TRANSACTION_MODE IDL ID
`static void` | `insert(Any a, TRANSACTION_MODE t)` Insert TRANSACTION_MODE into an any
`static TRANSACTION_MODE` | `read(InputStream istream)` Read TRANSACTION_MODE from a marshalled stream
`static TypeCode` | `type()` Return the TRANSACTION_MODE TypeCode
`static void` | `write(OutputStream ostream, TRANSACTION_MODE value)` Write TRANSACTION_MODE into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TRANSACTION_MODEHelper

    public TRANSACTION_MODEHelper()

Method Detail

### insert

    public static void insert(Any a,
                              TRANSACTION_MODE t)

  Insert TRANSACTION_MODE into an any
  Parameters:
    `a` - an any
    `t` - TRANSACTION_MODE value

### extract

    public static TRANSACTION_MODE extract(Any a)

  Extract TRANSACTION_MODE from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted TRANSACTION_MODE value

### type

    public static TypeCode type()

  Return the TRANSACTION_MODE TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the TRANSACTION_MODE IDL ID
  Returns:
    an ID

### read

    public static TRANSACTION_MODE read(InputStream istream)

  Read TRANSACTION_MODE from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed TRANSACTION_MODE value

### write

    public static void write(OutputStream ostream,
                             TRANSACTION_MODE value)

  Write TRANSACTION_MODE into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - TRANSACTION_MODE value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD